package com.mortals.xhx.module.dept.model;

import java.util.List;
import com.mortals.xhx.module.dept.model.DeptEntity;
/**
 * 部门信息查询对象
 *
 * @author zxfei
 * @date 2023-04-11
 */
public class DeptQuery extends DeptEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 父id */
    private Long parentIdStart;

    /** 结束 父id */
    private Long parentIdEnd;

    /** 增加 父id */
    private Long parentIdIncrement;

    /** 父id列表 */
    private List <Long> parentIdList;

    /** 父id排除列表 */
    private List <Long> parentIdNotList;

    /** 祖级列表 */
    private List<String> ancestorsList;

    /** 祖级列表排除列表 */
    private List <String> ancestorsNotList;
    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 部门编码 */
    private List<String> deptCodeList;

    /** 部门编码排除列表 */
    private List <String> deptCodeNotList;
    /** 开始 部门状态(0.停用,1.启用) */
    private Integer deptStatusStart;

    /** 结束 部门状态(0.停用,1.启用) */
    private Integer deptStatusEnd;

    /** 增加 部门状态(0.停用,1.启用) */
    private Integer deptStatusIncrement;

    /** 部门状态(0.停用,1.启用)列表 */
    private List <Integer> deptStatusList;

    /** 部门状态(0.停用,1.启用)排除列表 */
    private List <Integer> deptStatusNotList;

    /** 开始 顺序 */
    private Integer orderNumStart;

    /** 结束 顺序 */
    private Integer orderNumEnd;

    /** 增加 顺序 */
    private Integer orderNumIncrement;

    /** 顺序列表 */
    private List <Integer> orderNumList;

    /** 顺序排除列表 */
    private List <Integer> orderNumNotList;

    /** 开始 部门人数 */
    private Integer personNumStart;

    /** 结束 部门人数 */
    private Integer personNumEnd;

    /** 增加 部门人数 */
    private Integer personNumIncrement;

    /** 部门人数列表 */
    private List <Integer> personNumList;

    /** 部门人数排除列表 */
    private List <Integer> personNumNotList;

    /** 开始 负责人id */
    private Long workIdStart;

    /** 结束 负责人id */
    private Long workIdEnd;

    /** 增加 负责人id */
    private Long workIdIncrement;

    /** 负责人id列表 */
    private List <Long> workIdList;

    /** 负责人id排除列表 */
    private List <Long> workIdNotList;

    /** 负责人名称 */
    private List<String> workNameList;

    /** 负责人名称排除列表 */
    private List <String> workNameNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeptQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeptQuery> andConditionList;

    public DeptQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 父id
     * @return parentIdStart
     */
    public Long getParentIdStart(){
        return this.parentIdStart;
    }

    /**
     * 设置 开始 父id
     * @param parentIdStart
     */
    public void setParentIdStart(Long parentIdStart){
        this.parentIdStart = parentIdStart;
    }

    /**
     * 获取 结束 父id
     * @return $parentIdEnd
     */
    public Long getParentIdEnd(){
        return this.parentIdEnd;
    }

    /**
     * 设置 结束 父id
     * @param parentIdEnd
     */
    public void setParentIdEnd(Long parentIdEnd){
        this.parentIdEnd = parentIdEnd;
    }

    /**
     * 获取 增加 父id
     * @return parentIdIncrement
     */
    public Long getParentIdIncrement(){
        return this.parentIdIncrement;
    }

    /**
     * 设置 增加 父id
     * @param parentIdIncrement
     */
    public void setParentIdIncrement(Long parentIdIncrement){
        this.parentIdIncrement = parentIdIncrement;
    }

    /**
     * 获取 父id
     * @return parentIdList
     */
    public List<Long> getParentIdList(){
        return this.parentIdList;
    }

    /**
     * 设置 父id
     * @param parentIdList
     */
    public void setParentIdList(List<Long> parentIdList){
        this.parentIdList = parentIdList;
    }

    /**
     * 获取 父id
     * @return parentIdNotList
     */
    public List<Long> getParentIdNotList(){
        return this.parentIdNotList;
    }

    /**
     * 设置 父id
     * @param parentIdNotList
     */
    public void setParentIdNotList(List<Long> parentIdNotList){
        this.parentIdNotList = parentIdNotList;
    }


    /**
     * 获取 祖级列表
     * @return ancestorsList
     */
    public List<String> getAncestorsList(){
        return this.ancestorsList;
    }

    /**
     * 设置 祖级列表
     * @param ancestorsList
     */
    public void setAncestorsList(List<String> ancestorsList){
        this.ancestorsList = ancestorsList;
    }

    /**
     * 获取 祖级列表
     * @return ancestorsNotList
     */
    public List<String> getAncestorsNotList(){
        return this.ancestorsNotList;
    }

    /**
     * 设置 祖级列表
     * @param ancestorsNotList
     */
    public void setAncestorsNotList(List<String> ancestorsNotList){
        this.ancestorsNotList = ancestorsNotList;
    }

    /**
     * 获取 部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 部门编码
     * @return deptCodeList
     */
    public List<String> getDeptCodeList(){
        return this.deptCodeList;
    }

    /**
     * 设置 部门编码
     * @param deptCodeList
     */
    public void setDeptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
    }

    /**
     * 获取 部门编码
     * @return deptCodeNotList
     */
    public List<String> getDeptCodeNotList(){
        return this.deptCodeNotList;
    }

    /**
     * 设置 部门编码
     * @param deptCodeNotList
     */
    public void setDeptCodeNotList(List<String> deptCodeNotList){
        this.deptCodeNotList = deptCodeNotList;
    }

    /**
     * 获取 开始 部门状态(0.停用,1.启用)
     * @return deptStatusStart
     */
    public Integer getDeptStatusStart(){
        return this.deptStatusStart;
    }

    /**
     * 设置 开始 部门状态(0.停用,1.启用)
     * @param deptStatusStart
     */
    public void setDeptStatusStart(Integer deptStatusStart){
        this.deptStatusStart = deptStatusStart;
    }

    /**
     * 获取 结束 部门状态(0.停用,1.启用)
     * @return $deptStatusEnd
     */
    public Integer getDeptStatusEnd(){
        return this.deptStatusEnd;
    }

    /**
     * 设置 结束 部门状态(0.停用,1.启用)
     * @param deptStatusEnd
     */
    public void setDeptStatusEnd(Integer deptStatusEnd){
        this.deptStatusEnd = deptStatusEnd;
    }

    /**
     * 获取 增加 部门状态(0.停用,1.启用)
     * @return deptStatusIncrement
     */
    public Integer getDeptStatusIncrement(){
        return this.deptStatusIncrement;
    }

    /**
     * 设置 增加 部门状态(0.停用,1.启用)
     * @param deptStatusIncrement
     */
    public void setDeptStatusIncrement(Integer deptStatusIncrement){
        this.deptStatusIncrement = deptStatusIncrement;
    }

    /**
     * 获取 部门状态(0.停用,1.启用)
     * @return deptStatusList
     */
    public List<Integer> getDeptStatusList(){
        return this.deptStatusList;
    }

    /**
     * 设置 部门状态(0.停用,1.启用)
     * @param deptStatusList
     */
    public void setDeptStatusList(List<Integer> deptStatusList){
        this.deptStatusList = deptStatusList;
    }

    /**
     * 获取 部门状态(0.停用,1.启用)
     * @return deptStatusNotList
     */
    public List<Integer> getDeptStatusNotList(){
        return this.deptStatusNotList;
    }

    /**
     * 设置 部门状态(0.停用,1.启用)
     * @param deptStatusNotList
     */
    public void setDeptStatusNotList(List<Integer> deptStatusNotList){
        this.deptStatusNotList = deptStatusNotList;
    }


    /**
     * 获取 开始 顺序
     * @return orderNumStart
     */
    public Integer getOrderNumStart(){
        return this.orderNumStart;
    }

    /**
     * 设置 开始 顺序
     * @param orderNumStart
     */
    public void setOrderNumStart(Integer orderNumStart){
        this.orderNumStart = orderNumStart;
    }

    /**
     * 获取 结束 顺序
     * @return $orderNumEnd
     */
    public Integer getOrderNumEnd(){
        return this.orderNumEnd;
    }

    /**
     * 设置 结束 顺序
     * @param orderNumEnd
     */
    public void setOrderNumEnd(Integer orderNumEnd){
        this.orderNumEnd = orderNumEnd;
    }

    /**
     * 获取 增加 顺序
     * @return orderNumIncrement
     */
    public Integer getOrderNumIncrement(){
        return this.orderNumIncrement;
    }

    /**
     * 设置 增加 顺序
     * @param orderNumIncrement
     */
    public void setOrderNumIncrement(Integer orderNumIncrement){
        this.orderNumIncrement = orderNumIncrement;
    }

    /**
     * 获取 顺序
     * @return orderNumList
     */
    public List<Integer> getOrderNumList(){
        return this.orderNumList;
    }

    /**
     * 设置 顺序
     * @param orderNumList
     */
    public void setOrderNumList(List<Integer> orderNumList){
        this.orderNumList = orderNumList;
    }

    /**
     * 获取 顺序
     * @return orderNumNotList
     */
    public List<Integer> getOrderNumNotList(){
        return this.orderNumNotList;
    }

    /**
     * 设置 顺序
     * @param orderNumNotList
     */
    public void setOrderNumNotList(List<Integer> orderNumNotList){
        this.orderNumNotList = orderNumNotList;
    }


    /**
     * 获取 开始 部门人数
     * @return personNumStart
     */
    public Integer getPersonNumStart(){
        return this.personNumStart;
    }

    /**
     * 设置 开始 部门人数
     * @param personNumStart
     */
    public void setPersonNumStart(Integer personNumStart){
        this.personNumStart = personNumStart;
    }

    /**
     * 获取 结束 部门人数
     * @return $personNumEnd
     */
    public Integer getPersonNumEnd(){
        return this.personNumEnd;
    }

    /**
     * 设置 结束 部门人数
     * @param personNumEnd
     */
    public void setPersonNumEnd(Integer personNumEnd){
        this.personNumEnd = personNumEnd;
    }

    /**
     * 获取 增加 部门人数
     * @return personNumIncrement
     */
    public Integer getPersonNumIncrement(){
        return this.personNumIncrement;
    }

    /**
     * 设置 增加 部门人数
     * @param personNumIncrement
     */
    public void setPersonNumIncrement(Integer personNumIncrement){
        this.personNumIncrement = personNumIncrement;
    }

    /**
     * 获取 部门人数
     * @return personNumList
     */
    public List<Integer> getPersonNumList(){
        return this.personNumList;
    }

    /**
     * 设置 部门人数
     * @param personNumList
     */
    public void setPersonNumList(List<Integer> personNumList){
        this.personNumList = personNumList;
    }

    /**
     * 获取 部门人数
     * @return personNumNotList
     */
    public List<Integer> getPersonNumNotList(){
        return this.personNumNotList;
    }

    /**
     * 设置 部门人数
     * @param personNumNotList
     */
    public void setPersonNumNotList(List<Integer> personNumNotList){
        this.personNumNotList = personNumNotList;
    }


    /**
     * 获取 开始 负责人id
     * @return workIdStart
     */
    public Long getWorkIdStart(){
        return this.workIdStart;
    }

    /**
     * 设置 开始 负责人id
     * @param workIdStart
     */
    public void setWorkIdStart(Long workIdStart){
        this.workIdStart = workIdStart;
    }

    /**
     * 获取 结束 负责人id
     * @return $workIdEnd
     */
    public Long getWorkIdEnd(){
        return this.workIdEnd;
    }

    /**
     * 设置 结束 负责人id
     * @param workIdEnd
     */
    public void setWorkIdEnd(Long workIdEnd){
        this.workIdEnd = workIdEnd;
    }

    /**
     * 获取 增加 负责人id
     * @return workIdIncrement
     */
    public Long getWorkIdIncrement(){
        return this.workIdIncrement;
    }

    /**
     * 设置 增加 负责人id
     * @param workIdIncrement
     */
    public void setWorkIdIncrement(Long workIdIncrement){
        this.workIdIncrement = workIdIncrement;
    }

    /**
     * 获取 负责人id
     * @return workIdList
     */
    public List<Long> getWorkIdList(){
        return this.workIdList;
    }

    /**
     * 设置 负责人id
     * @param workIdList
     */
    public void setWorkIdList(List<Long> workIdList){
        this.workIdList = workIdList;
    }

    /**
     * 获取 负责人id
     * @return workIdNotList
     */
    public List<Long> getWorkIdNotList(){
        return this.workIdNotList;
    }

    /**
     * 设置 负责人id
     * @param workIdNotList
     */
    public void setWorkIdNotList(List<Long> workIdNotList){
        this.workIdNotList = workIdNotList;
    }


    /**
     * 获取 负责人名称
     * @return workNameList
     */
    public List<String> getWorkNameList(){
        return this.workNameList;
    }

    /**
     * 设置 负责人名称
     * @param workNameList
     */
    public void setWorkNameList(List<String> workNameList){
        this.workNameList = workNameList;
    }

    /**
     * 获取 负责人名称
     * @return workNameNotList
     */
    public List<String> getWorkNameNotList(){
        return this.workNameNotList;
    }

    /**
     * 设置 负责人名称
     * @param workNameNotList
     */
    public void setWorkNameNotList(List<String> workNameNotList){
        this.workNameNotList = workNameNotList;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public DeptQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public DeptQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public DeptQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public DeptQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public DeptQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public DeptQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  父id
     * @param parentId
     */
    public DeptQuery parentId(Long parentId){
        setParentId(parentId);
        return this;
    }

    /**
     * 设置 开始 父id
     * @param parentIdStart
     */
    public DeptQuery parentIdStart(Long parentIdStart){
        this.parentIdStart = parentIdStart;
        return this;
    }

    /**
     * 设置 结束 父id
     * @param parentIdEnd
     */
    public DeptQuery parentIdEnd(Long parentIdEnd){
        this.parentIdEnd = parentIdEnd;
        return this;
    }

    /**
     * 设置 增加 父id
     * @param parentIdIncrement
     */
    public DeptQuery parentIdIncrement(Long parentIdIncrement){
        this.parentIdIncrement = parentIdIncrement;
        return this;
    }

    /**
     * 设置 父id
     * @param parentIdList
     */
    public DeptQuery parentIdList(List<Long> parentIdList){
        this.parentIdList = parentIdList;
        return this;
    }

    /**
     * 设置 父id
     * @param parentIdNotList
     */
    public DeptQuery parentIdNotList(List<Long> parentIdNotList){
        this.parentIdNotList = parentIdNotList;
        return this;
    }


    /**
     * 设置 祖级列表
     * @param ancestors
     */
    public DeptQuery ancestors(String ancestors){
        setAncestors(ancestors);
        return this;
    }

    /**
     * 设置 祖级列表
     * @param ancestorsList
     */
    public DeptQuery ancestorsList(List<String> ancestorsList){
        this.ancestorsList = ancestorsList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param deptName
     */
    public DeptQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public DeptQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置 部门编码
     * @param deptCode
     */
    public DeptQuery deptCode(String deptCode){
        setDeptCode(deptCode);
        return this;
    }

    /**
     * 设置 部门编码
     * @param deptCodeList
     */
    public DeptQuery deptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
        return this;
    }

    /**
     * 设置  部门状态(0.停用,1.启用)
     * @param deptStatus
     */
    public DeptQuery deptStatus(Integer deptStatus){
        setDeptStatus(deptStatus);
        return this;
    }

    /**
     * 设置 开始 部门状态(0.停用,1.启用)
     * @param deptStatusStart
     */
    public DeptQuery deptStatusStart(Integer deptStatusStart){
        this.deptStatusStart = deptStatusStart;
        return this;
    }

    /**
     * 设置 结束 部门状态(0.停用,1.启用)
     * @param deptStatusEnd
     */
    public DeptQuery deptStatusEnd(Integer deptStatusEnd){
        this.deptStatusEnd = deptStatusEnd;
        return this;
    }

    /**
     * 设置 增加 部门状态(0.停用,1.启用)
     * @param deptStatusIncrement
     */
    public DeptQuery deptStatusIncrement(Integer deptStatusIncrement){
        this.deptStatusIncrement = deptStatusIncrement;
        return this;
    }

    /**
     * 设置 部门状态(0.停用,1.启用)
     * @param deptStatusList
     */
    public DeptQuery deptStatusList(List<Integer> deptStatusList){
        this.deptStatusList = deptStatusList;
        return this;
    }

    /**
     * 设置 部门状态(0.停用,1.启用)
     * @param deptStatusNotList
     */
    public DeptQuery deptStatusNotList(List<Integer> deptStatusNotList){
        this.deptStatusNotList = deptStatusNotList;
        return this;
    }

    /**
     * 设置  顺序
     * @param orderNum
     */
    public DeptQuery orderNum(Integer orderNum){
        setOrderNum(orderNum);
        return this;
    }

    /**
     * 设置 开始 顺序
     * @param orderNumStart
     */
    public DeptQuery orderNumStart(Integer orderNumStart){
        this.orderNumStart = orderNumStart;
        return this;
    }

    /**
     * 设置 结束 顺序
     * @param orderNumEnd
     */
    public DeptQuery orderNumEnd(Integer orderNumEnd){
        this.orderNumEnd = orderNumEnd;
        return this;
    }

    /**
     * 设置 增加 顺序
     * @param orderNumIncrement
     */
    public DeptQuery orderNumIncrement(Integer orderNumIncrement){
        this.orderNumIncrement = orderNumIncrement;
        return this;
    }

    /**
     * 设置 顺序
     * @param orderNumList
     */
    public DeptQuery orderNumList(List<Integer> orderNumList){
        this.orderNumList = orderNumList;
        return this;
    }

    /**
     * 设置 顺序
     * @param orderNumNotList
     */
    public DeptQuery orderNumNotList(List<Integer> orderNumNotList){
        this.orderNumNotList = orderNumNotList;
        return this;
    }

    /**
     * 设置  部门人数
     * @param personNum
     */
    public DeptQuery personNum(Integer personNum){
        setPersonNum(personNum);
        return this;
    }

    /**
     * 设置 开始 部门人数
     * @param personNumStart
     */
    public DeptQuery personNumStart(Integer personNumStart){
        this.personNumStart = personNumStart;
        return this;
    }

    /**
     * 设置 结束 部门人数
     * @param personNumEnd
     */
    public DeptQuery personNumEnd(Integer personNumEnd){
        this.personNumEnd = personNumEnd;
        return this;
    }

    /**
     * 设置 增加 部门人数
     * @param personNumIncrement
     */
    public DeptQuery personNumIncrement(Integer personNumIncrement){
        this.personNumIncrement = personNumIncrement;
        return this;
    }

    /**
     * 设置 部门人数
     * @param personNumList
     */
    public DeptQuery personNumList(List<Integer> personNumList){
        this.personNumList = personNumList;
        return this;
    }

    /**
     * 设置 部门人数
     * @param personNumNotList
     */
    public DeptQuery personNumNotList(List<Integer> personNumNotList){
        this.personNumNotList = personNumNotList;
        return this;
    }

    /**
     * 设置  负责人id
     * @param workId
     */
    public DeptQuery workId(Long workId){
        setWorkId(workId);
        return this;
    }

    /**
     * 设置 开始 负责人id
     * @param workIdStart
     */
    public DeptQuery workIdStart(Long workIdStart){
        this.workIdStart = workIdStart;
        return this;
    }

    /**
     * 设置 结束 负责人id
     * @param workIdEnd
     */
    public DeptQuery workIdEnd(Long workIdEnd){
        this.workIdEnd = workIdEnd;
        return this;
    }

    /**
     * 设置 增加 负责人id
     * @param workIdIncrement
     */
    public DeptQuery workIdIncrement(Long workIdIncrement){
        this.workIdIncrement = workIdIncrement;
        return this;
    }

    /**
     * 设置 负责人id
     * @param workIdList
     */
    public DeptQuery workIdList(List<Long> workIdList){
        this.workIdList = workIdList;
        return this;
    }

    /**
     * 设置 负责人id
     * @param workIdNotList
     */
    public DeptQuery workIdNotList(List<Long> workIdNotList){
        this.workIdNotList = workIdNotList;
        return this;
    }


    /**
     * 设置 负责人名称
     * @param workName
     */
    public DeptQuery workName(String workName){
        setWorkName(workName);
        return this;
    }

    /**
     * 设置 负责人名称
     * @param workNameList
     */
    public DeptQuery workNameList(List<String> workNameList){
        this.workNameList = workNameList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public DeptQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public DeptQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public DeptQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public DeptQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public DeptQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public DeptQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public DeptQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public DeptQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public DeptQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public DeptQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public DeptQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public DeptQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public DeptQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public DeptQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<DeptQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<DeptQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<DeptQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<DeptQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}